> ## Documentation Index
> Fetch the complete documentation index at: https://docs.beam.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Tool Optimization Status

> Check the status of an ongoing tool optimization process.



## OpenAPI

````yaml post /tool/optimization-status/thread/{threadId}
openapi: 3.0.0
info:
  title: Public API
  description: Public endpoints to interact with agents and orchestrate tasks
  version: '1.0'
  contact: {}
servers:
  - url: https://api.beamstudio.ai
security: []
tags: []
paths:
  /tool/optimization-status/thread/{threadId}:
    post:
      tags:
        - Tool
      summary: Get Tool Optimization Status
      description: Check the status of an ongoing tool optimization process.
      operationId: ToolController_getToolOptimizationStatus
      parameters:
        - name: threadId
          required: true
          in: path
          schema:
            type: string
        - name: current-workspace-id
          in: header
          required: true
          schema:
            type: string
      responses:
        '201':
          description: Optimization status retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ToolOptimizeResponseDTO'
      security:
        - x-api-key: []
components:
  schemas:
    ToolOptimizeResponseDTO:
      type: object
      properties:
        threadId:
          type: string
      required:
        - threadId
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````